-- | A library for real number arithmetics
module Data.Number
( -- * Classes
  Continued(..), Number
, Nat(..), Whole(..)
  -- * Functions
, fromList, toList
, fromNumber, toNumber
  -- * Constants
, σ, φ, π, e
  -- * Internals
, hom, biHom, cut
) where

import Data.Number.Types
import Data.Number.Instances
import Data.Number.Functions
import Data.Number.Internal
import Data.Number.Peano